// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.3
// source: fakerapp.proto

package fakerapp

import (
	_ "github.com/grpc-ecosystem/grpc-gateway/v2/protoc-gen-openapiv2/options"
	_ "google.golang.org/genproto/googleapis/api/annotations"
	httpbody "google.golang.org/genproto/googleapis/api/httpbody"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type EchoRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Msg string `protobuf:"bytes,1,opt,name=msg,proto3" json:"msg,omitempty"`
}

func (x *EchoRequest) Reset() {
	*x = EchoRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_fakerapp_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EchoRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EchoRequest) ProtoMessage() {}

func (x *EchoRequest) ProtoReflect() protoreflect.Message {
	mi := &file_fakerapp_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EchoRequest.ProtoReflect.Descriptor instead.
func (*EchoRequest) Descriptor() ([]byte, []int) {
	return file_fakerapp_proto_rawDescGZIP(), []int{0}
}

func (x *EchoRequest) GetMsg() string {
	if x != nil {
		return x.Msg
	}
	return ""
}

type EchoResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Msg string `protobuf:"bytes,1,opt,name=msg,proto3" json:"msg,omitempty"`
}

func (x *EchoResponse) Reset() {
	*x = EchoResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_fakerapp_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EchoResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EchoResponse) ProtoMessage() {}

func (x *EchoResponse) ProtoReflect() protoreflect.Message {
	mi := &file_fakerapp_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EchoResponse.ProtoReflect.Descriptor instead.
func (*EchoResponse) Descriptor() ([]byte, []int) {
	return file_fakerapp_proto_rawDescGZIP(), []int{1}
}

func (x *EchoResponse) GetMsg() string {
	if x != nil {
		return x.Msg
	}
	return ""
}

var File_fakerapp_proto protoreflect.FileDescriptor

var file_fakerapp_proto_rawDesc = []byte{
	0x0a, 0x0e, 0x66, 0x61, 0x6b, 0x65, 0x72, 0x61, 0x70, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x12, 0x21, 0x63, 0x6f, 0x6d, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x6e, 0x69, 0x73,
	0x68, 0x61, 0x6e, 0x74, 0x68, 0x2e, 0x73, 0x68, 0x65, 0x74, 0x74, 0x79, 0x6e, 0x65, 0x74, 0x62,
	0x6f, 0x6f, 0x6b, 0x1a, 0x1c, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x61, 0x70, 0x69, 0x2f,
	0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x1a, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x2d, 0x67, 0x65, 0x6e, 0x2d, 0x6f, 0x70,
	0x65, 0x6e, 0x61, 0x70, 0x69, 0x76, 0x32, 0x2f, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2f,
	0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x1a, 0x19, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x68, 0x74,
	0x74, 0x70, 0x62, 0x6f, 0x64, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x65, 0x6d,
	0x70, 0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x1f, 0x0a, 0x0b, 0x45, 0x63, 0x68,
	0x6f, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x10, 0x0a, 0x03, 0x6d, 0x73, 0x67, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6d, 0x73, 0x67, 0x22, 0x20, 0x0a, 0x0c, 0x45, 0x63,
	0x68, 0x6f, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x6d, 0x73,
	0x67, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6d, 0x73, 0x67, 0x32, 0xca, 0x04, 0x0a,
	0x07, 0x46, 0x61, 0x6b, 0x65, 0x53, 0x76, 0x63, 0x12, 0x51, 0x0a, 0x0b, 0x48, 0x65, 0x61, 0x6c,
	0x74, 0x68, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x12, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x1a,
	0x14, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x48, 0x74, 0x74,
	0x70, 0x42, 0x6f, 0x64, 0x79, 0x22, 0x14, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x0e, 0x12, 0x0c, 0x2f,
	0x68, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x12, 0x4f, 0x0a, 0x0a, 0x52,
	0x65, 0x61, 0x64, 0x79, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x12, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74,
	0x79, 0x1a, 0x14, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x48,
	0x74, 0x74, 0x70, 0x42, 0x6f, 0x64, 0x79, 0x22, 0x13, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x0d, 0x12,
	0x0b, 0x2f, 0x72, 0x65, 0x61, 0x64, 0x79, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x12, 0xc2, 0x01, 0x0a,
	0x04, 0x45, 0x63, 0x68, 0x6f, 0x12, 0x2e, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x6e, 0x69, 0x73, 0x68, 0x61, 0x6e, 0x74, 0x68, 0x2e, 0x73, 0x68, 0x65, 0x74,
	0x74, 0x79, 0x6e, 0x65, 0x74, 0x62, 0x6f, 0x6f, 0x6b, 0x2e, 0x45, 0x63, 0x68, 0x6f, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2f, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x6e, 0x69, 0x73, 0x68, 0x61, 0x6e, 0x74, 0x68, 0x2e, 0x73, 0x68, 0x65, 0x74,
	0x74, 0x79, 0x6e, 0x65, 0x74, 0x62, 0x6f, 0x6f, 0x6b, 0x2e, 0x45, 0x63, 0x68, 0x6f, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x59, 0x92, 0x41, 0x37, 0x0a, 0x04, 0x65, 0x63, 0x68,
	0x6f, 0x12, 0x0d, 0x45, 0x63, 0x68, 0x6f, 0x20, 0x65, 0x6e, 0x64, 0x70, 0x6f, 0x69, 0x6e, 0x74,
	0x1a, 0x20, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x73, 0x20, 0x61, 0x6e, 0x20, 0x65, 0x63,
	0x68, 0x6f, 0x20, 0x72, 0x65, 0x70, 0x6c, 0x79, 0x20, 0x65, 0x6e, 0x64, 0x70, 0x6f, 0x69, 0x6e,
	0x74, 0x2e, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x19, 0x22, 0x14, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x76,
	0x31, 0x2f, 0x65, 0x78, 0x61, 0x6d, 0x70, 0x6c, 0x65, 0x2f, 0x65, 0x63, 0x68, 0x6f, 0x3a, 0x01,
	0x2a, 0x12, 0xd5, 0x01, 0x0a, 0x05, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x12, 0x2e, 0x2e, 0x63, 0x6f,
	0x6d, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x6e, 0x69, 0x73, 0x68, 0x61, 0x6e, 0x74,
	0x68, 0x2e, 0x73, 0x68, 0x65, 0x74, 0x74, 0x79, 0x6e, 0x65, 0x74, 0x62, 0x6f, 0x6f, 0x6b, 0x2e,
	0x45, 0x63, 0x68, 0x6f, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2f, 0x2e, 0x63, 0x6f,
	0x6d, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x6e, 0x69, 0x73, 0x68, 0x61, 0x6e, 0x74,
	0x68, 0x2e, 0x73, 0x68, 0x65, 0x74, 0x74, 0x79, 0x6e, 0x65, 0x74, 0x62, 0x6f, 0x6f, 0x6b, 0x2e,
	0x45, 0x63, 0x68, 0x6f, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x6b, 0x92, 0x41,
	0x48, 0x0a, 0x05, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x12, 0x0e, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x20,
	0x65, 0x6e, 0x64, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x1a, 0x2f, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x20, 0x6d, 0x61, 0x64, 0x65, 0x20, 0x74, 0x6f, 0x20, 0x74, 0x68, 0x69, 0x73, 0x20, 0x65,
	0x6e, 0x64, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x20, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x20, 0x69,
	0x6e, 0x20, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x73, 0x2e, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x1a, 0x22,
	0x15, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x76, 0x31, 0x2f, 0x65, 0x78, 0x61, 0x6d, 0x70, 0x6c, 0x65,
	0x2f, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x3a, 0x01, 0x2a, 0x42, 0x96, 0x01, 0x5a, 0x3a, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6e, 0x69, 0x73, 0x68, 0x61, 0x6e, 0x74,
	0x68, 0x2e, 0x73, 0x68, 0x65, 0x74, 0x74, 0x79, 0x2e, 0x6e, 0x65, 0x74, 0x62, 0x6f, 0x6f, 0x6b,
	0x2f, 0x46, 0x61, 0x6b, 0x65, 0x72, 0x41, 0x70, 0x70, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x3b,
	0x66, 0x61, 0x6b, 0x65, 0x72, 0x61, 0x70, 0x70, 0x92, 0x41, 0x57, 0x12, 0x05, 0x32, 0x03, 0x31,
	0x2e, 0x30, 0x2a, 0x02, 0x01, 0x02, 0x72, 0x4a, 0x0a, 0x13, 0x46, 0x61, 0x6b, 0x65, 0x72, 0x41,
	0x70, 0x70, 0x20, 0x72, 0x65, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x6f, 0x72, 0x79, 0x12, 0x33, 0x68,
	0x74, 0x74, 0x70, 0x73, 0x3a, 0x2f, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f,
	0x6d, 0x2f, 0x6e, 0x69, 0x73, 0x68, 0x61, 0x6e, 0x74, 0x68, 0x2e, 0x73, 0x68, 0x65, 0x74, 0x74,
	0x79, 0x2e, 0x6e, 0x65, 0x74, 0x62, 0x6f, 0x6f, 0x6b, 0x2f, 0x46, 0x61, 0x6b, 0x65, 0x72, 0x41,
	0x70, 0x70, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_fakerapp_proto_rawDescOnce sync.Once
	file_fakerapp_proto_rawDescData = file_fakerapp_proto_rawDesc
)

func file_fakerapp_proto_rawDescGZIP() []byte {
	file_fakerapp_proto_rawDescOnce.Do(func() {
		file_fakerapp_proto_rawDescData = protoimpl.X.CompressGZIP(file_fakerapp_proto_rawDescData)
	})
	return file_fakerapp_proto_rawDescData
}

var file_fakerapp_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_fakerapp_proto_goTypes = []interface{}{
	(*EchoRequest)(nil),       // 0: com.gitlab.nishanth.shettynetbook.EchoRequest
	(*EchoResponse)(nil),      // 1: com.gitlab.nishanth.shettynetbook.EchoResponse
	(*emptypb.Empty)(nil),     // 2: google.protobuf.Empty
	(*httpbody.HttpBody)(nil), // 3: google.api.HttpBody
}
var file_fakerapp_proto_depIdxs = []int32{
	2, // 0: com.gitlab.nishanth.shettynetbook.FakeSvc.HealthCheck:input_type -> google.protobuf.Empty
	2, // 1: com.gitlab.nishanth.shettynetbook.FakeSvc.ReadyCheck:input_type -> google.protobuf.Empty
	0, // 2: com.gitlab.nishanth.shettynetbook.FakeSvc.Echo:input_type -> com.gitlab.nishanth.shettynetbook.EchoRequest
	0, // 3: com.gitlab.nishanth.shettynetbook.FakeSvc.Error:input_type -> com.gitlab.nishanth.shettynetbook.EchoRequest
	3, // 4: com.gitlab.nishanth.shettynetbook.FakeSvc.HealthCheck:output_type -> google.api.HttpBody
	3, // 5: com.gitlab.nishanth.shettynetbook.FakeSvc.ReadyCheck:output_type -> google.api.HttpBody
	1, // 6: com.gitlab.nishanth.shettynetbook.FakeSvc.Echo:output_type -> com.gitlab.nishanth.shettynetbook.EchoResponse
	1, // 7: com.gitlab.nishanth.shettynetbook.FakeSvc.Error:output_type -> com.gitlab.nishanth.shettynetbook.EchoResponse
	4, // [4:8] is the sub-list for method output_type
	0, // [0:4] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_fakerapp_proto_init() }
func file_fakerapp_proto_init() {
	if File_fakerapp_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_fakerapp_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EchoRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_fakerapp_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EchoResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_fakerapp_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_fakerapp_proto_goTypes,
		DependencyIndexes: file_fakerapp_proto_depIdxs,
		MessageInfos:      file_fakerapp_proto_msgTypes,
	}.Build()
	File_fakerapp_proto = out.File
	file_fakerapp_proto_rawDesc = nil
	file_fakerapp_proto_goTypes = nil
	file_fakerapp_proto_depIdxs = nil
}
